[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [PATCH] Add build require for xmlrpc-c-client



libxmlrpc_client.so.3 moved from xmlrpc-c-devel to xmlrpc-c-client
in latest release :-(

  CCLD   libvirtd
  /usr/bin/ld: cannot find /usr/lib/libxmlrpc_client.so.3
  collect2: ld returned 1 exit status
  make[3]: Leaving directory
  `/builddir/build/BUILD/libvirt-0.7.6/daemon'

so we need to add an extra dependency, I think the following should
solve it in the most generic way,

Daniel

-- 
Daniel Veillard      | libxml Gnome XML XSLT toolkit  http://xmlsoft.org/
daniel veillard com  | Rpmfind RPM search engine http://rpmfind.net/
http://veillard.com/ | virtualization library  http://libvirt.org/
diff --git a/libvirt.spec.in b/libvirt.spec.in
index b1c1c99..7927b8a 100644
--- a/libvirt.spec.in
+++ b/libvirt.spec.in
@@ -249,6 +249,9 @@ BuildRequires: xen-devel
 %endif
 %if %{with_one}
 BuildRequires: xmlrpc-c-devel >= 1.14.0
+%if 0%{?fedora} > 12 || 0%{?rhel} > 6
+BuildRequires: xmlrpc-c-client
+%endif
 %endif
 BuildRequires: libxml2-devel
 BuildRequires: xhtml1-dtds

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]